Using S3, "BackendException: No connection to backend"

Bug #1278529 reported by Vincenzo Di Somma on 2014-02-10
150
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Duplicity
Medium
Unassigned
Fedora
Won't Fix
Undecided
python-boto (Ubuntu)
Undecided
Unassigned

Bug Description

Trying to backup on S3 traces back:

/home/ubuntu# duplicity /tmp/pippo/ s3+http://s3backupvdstmpmongodumpxxx -v9
Using archive dir: /root/.cache/duplicity/b9fbae4eed85b4af0e18b84be3a2e7ce
Using backup name: b9fbae4eed85b4af0e18b84be3a2e7ce
Import of duplicity.backends.swiftbackend Succeeded
Import of duplicity.backends.gdocsbackend Succeeded
Import of duplicity.backends.botobackend Succeeded
Import of duplicity.backends.ftpbackend Succeeded
Import of duplicity.backends.hsibackend Succeeded
Import of duplicity.backends.localbackend Succeeded
Import of duplicity.backends.ftpsbackend Succeeded
Import of duplicity.backends.cfbackend Succeeded
Import of duplicity.backends.tahoebackend Succeeded
Import of duplicity.backends.rsyncbackend Succeeded
Import of duplicity.backends.megabackend Succeeded
Import of duplicity.backends.dpbxbackend Succeeded
Import of duplicity.backends.webdavbackend Succeeded
Import of duplicity.backends.u1backend Succeeded
Import of duplicity.backends.imapbackend Succeeded
Import of duplicity.backends.sshbackend Succeeded
Main action: inc
================================================================================
duplicity 0.6.23 (January 24, 2014)
Args: /usr/bin/duplicity /tmp/pippo/ s3+http://s3backupvdstmpmongodumpxxx -v9
Linux juju-obs-canonistack-machine-1 3.13.0-5-generic #20-Ubuntu SMP Mon Jan 20 19:56:38 UTC 2014 x86_64 x86_64
/usr/bin/python 2.7.6 (default, Jan 12 2014, 08:16:39)
[GCC 4.8.2]
================================================================================
Using temporary directory /tmp/duplicity-FTJcEv-tempdir
Registering (mkstemp) temporary file /tmp/duplicity-FTJcEv-tempdir/mkstemp-p3onX7-1
Temp has 8320397312 available, backup will use approx 34078720.
Releasing lockfile <lockfile.LinkFileLock instance at 0x15bff38>
Removing still remembered temporary file /tmp/duplicity-FTJcEv-tempdir/mkstemp-p3onX7-1
Backend error detail: Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1489, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1483, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1332, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1361, in do_backup
    sync_archive(decrypt)
  File "/usr/bin/duplicity", line 1094, in sync_archive
    remlist = globals.backend.list()
  File "/usr/lib/python2.7/dist-packages/duplicity/backend.py", line 429, in list
    return map(tobytes, self._list())
  File "/usr/lib/python2.7/dist-packages/duplicity/backends/_boto_single.py", line 270, in _list
    raise BackendException("No connection to backend")
BackendException: No connection to backend

BackendException: No connection to backend

On the same machine, with the same parameter, python boto works perfectly.

Michael Terry (mterry) wrote :

Vincenzo was talking to me on IRC about this. It's a regression due to the fix for bug 1266753. Not sure why yet. Any ideas?

summary: - BackendException: No connection to backend
+ Using S3, "BackendException: No connection to backend"
Michael Terry (mterry) wrote :

Presumably "self.bucket = self.conn.lookup(self.bucket_name)" is returning None in __init__(), but I don't know enough about boto to know what would cause that.

Karl Trygve Kalleberg (karltk) wrote :

I ran into the same problem, seemingly. After fiddling a bit with the various URL schemes, I hit on this:

duplicity /tmp/zooo s3://s3-eu-west-1.amazonaws.com/somebucket/somedirectory

which works.

Unfortunately, using the graphical Backup tool available through Settings still fails with a not-so-helpful popup saying "BackendException: No connection to backend".

dev169 (6465766e756c6c) wrote :

I'm hitting the exact same thing. This is on a production server where duplicity worked perfectly until a few days ago. No changes whatsoever have been introduced to the system. Any insight into this would be greatly appreciated, as i'm currently a sitting duck should anything goes wrong.

James Clemence (jvc26) wrote :

This affects me - won't connect or do anything, frontend gives "BackendException: No connection to backend".

Ubuntu Trusty

keithy (keith-waller) wrote :

I fixed this by adding the amazon bucket name using dconf

/ org / gnome / deja-dup / s3

running gnome trusty

HTH

James Clemence (jvc26) wrote :

As per comment #6 also fixed.

I get this error no matter what URL format I use (format in #3 doesn't work).

Alan Hayes (alanmodimages) wrote :

I get this error even after I used dconf to put my s3 bucket name in. Is there any way around this?

Kamil Madac (kamil-madac) wrote :

Try to remove amazon server from UR. Use only bucket name:

duplicity /tmp/zooo s3+http://somebucket/somedirectory

It works for me.

Alan Hayes (alanmodimages) wrote :

Kamil: Where do I find the location of this?

Thanks,

Alan

Kamil Madac (kamil-madac) wrote :

Hi Alan,

what location do you mean?

Kamil

Alan Hayes (alanmodimages) wrote :

Hi Kamil,

I am not sure where to make the modification :( Sorry... a bit new to Linux.

Alan

Kamil Madac (kamil-madac) wrote :

I'm executing duplicity directly in terminal. For example, if I want backup directory /tmp/zooo to S3 bucket, called somebucket you just run following command in terminal.

duplicity /tmp/zooo s3+http://somebucket/

If you are using other backup software which uses duplicity as a backend service, then it would be necessary to ask support of that software or raise a bug to them.

Kamil

Alan Hayes (alanmodimages) wrote :

Hi Kamil,

Yes. I am using Deja Dup.

Alan

Jorge Barnaby (yorch-b) wrote :

Only after I added '+http' on the s3+http://bucket_name/ worked for me.

jurov (rini17) wrote :

Does not work here regardless of "+http".
Gentoo x86_64, duplicity-0.6.23-r1, boto-2.27.0

jurov (rini17) wrote :

I have analyzed the situation in debugger and it is caused by following code in connection.py, line 540, function S3Connection.lookup() :

        try:
            bucket = self.get_bucket(bucket_name, validate, headers=headers)
        except:
            bucket = None
        return bucket

In my case, the original muted expression was S3ResponseError: S3ResponseError: 403 Forbidden that clearly explained where is the problem.
Until this is patched properly, you can change the code into:

        try:
            bucket = self.get_bucket(bucket_name, validate, headers=headers)
        except:
            raise
        return bucket

to get at least proper error message.

jurov (rini17) wrote :

Clarification: it's boto/s3/connection.py

jurov (rini17) wrote :

Sorry for the spam, I reported it in upstream: https://github.com/boto/boto/issues/2262

Yann Laurent (mfkr5) wrote :

I had the same issue running Trusty Gnome 3.12

The solution of Keithy #6 made the trick.

henry (henry-torres) wrote :

Having the same error however I'm using dreamhost objects for s3. Ubuntu precise.

Main action: collection-status
================================================================================
duplicity 0.6.18 (February 29, 2012)
Args: /usr/bin/duplicity collection-status -v9 s3://objects.dreamhost.com/mybucket/
Linux mybrokenvps 3.1.9-vs2.3.2.5 #1 SMP Thu Jan 26 02:37:05 UTC 2012 x86_64 x86_64
/usr/bin/python 2.7.3 (default, Feb 27 2014, 19:58:35)
[GCC 4.6.3]
================================================================================
Releasing lockfile <lockfile.LinkFileLock instance at 0x2ba8f80>
Using temporary directory /tmp/duplicity-qdOTHd-tempdir
Backend error detail: Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1432, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1426, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1275, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1304, in do_backup
    sync_archive(decrypt)
  File "/usr/bin/duplicity", line 1037, in sync_archive
    remlist = globals.backend.list()
  File "/usr/lib/python2.7/dist-packages/duplicity/backends/_boto_single.py", line 260, in list
    raise BackendException("No connection to backend")
BackendException: No connection to backend

WORKAROUND:

Using the '--s3-unencrypted-connection'

I did manage to find a workaround. Using the '--s3-unencrypted-connection' option works and I'm able to connect/download/upload. This means there is an ssl issue here.

FIX:

install the latest version of: libssl1.0.0

After some comparing with a machine where it does work I found the the library: libssl1.0.0 was older then the one where it did work. After upgrading to the latest available version it worked. In my case it worked with version (1.0.1-4ubuntu5.12 & 1.0.1-4ubuntu5.13)

Hope this helps some of you.

Numline1 (numline1) wrote :

None of the above worked for me

root@ymir:~# duplicity /var/customers/webs/ s3+http://bucketname/
BackendException: No connection to backend

I'm trying to use Duply, but Duplicity directly doesn't work either. Where's the problem?

Numline1 (numline1) wrote :

Sorry, slight correction, #18 actually fixed this problem, hopefully boto gets updated soon.

#18 helped me debug the issue.

This gave me the error: S3ResponseError: S3ResponseError: 404 Not Found

The default behavior used to be that duplicity would create a bucket if it didn't exist. This doesn't seem to be the case anymore even when using us-east region.

I also had to use the following connection string format: s3://s3-eu-west-1.amazonaws.com/bucketname/

For a list of regions and end points for S3 see: http://docs.aws.amazon.com/general/latest/gr/rande.html#s3_region

Numline1 (numline1) wrote :

Same as #25 here, except I got 403 - I had to set up permissions for both users in IAM and then in S3 console. I used s3://s3-eu-west-1.amazonaws.com/bucketname/ so can't compare if this is my case as well.

Henry Gomersall (hgomersall) wrote :

It's also possible to work the other way to #6 - create a bucket in s3 with the bucket name shown in the dconf key.

Description of problem: When using Duplicity I receive the error "BackendException: No connection to backend" when attempting to backup to Amazon S3.

Version-Release number of selected component (if applicable):
0.6.24-2.fc20

How reproducible: Always

Steps to Reproduce:
1. Attempt to backup using Deja-Dup to Amazon S3
2.
3.

Actual results:
BackendException: No connection to backend

Expected results:
Backup occurs.

Additional info:

On F19 I experienced the same behavior. I haven't tested exhaustively, but I believe I have it working by *both*:

1) creating ~/.boto per http://boto.readthedocs.org/en/latest/getting_started.html

2) manually creating the buckets I wanted to use for the backups

Brad Stephens (tectonic-stl) wrote :

For anyone troubleshooting this, I get this error when my clock is set incorrectly on the server running duplicity. Amazon rejects the connection because times are too out of sync, and there is no meaningful error message captured--it looks exactly like the above log.

Experiencing the same issue here

F19 x64 deja-dup-26.0-1.fc19.x86_64

Dave Allan's workaround is functional; to findout the correct bucket it's trying to use however run:

DEJA_DUP_DEBUG=1 deja-dup --backup

Pay attention to the

DUPLICITY: . Args: /usr/bin/duplicity collection-status line,

--s3-use-new-style s3+http://deja-dup-auto-XXXXXXXXXXXX/YOUR_FOLDER

DUPLICITY: INFO 1
DUPLICITY: . Backend error detail: Traceback (most recent call last):
DUPLICITY: . File "/usr/bin/duplicity", line 1502, in <module>
DUPLICITY: . with_tempdir(main)
DUPLICITY: . File "/usr/bin/duplicity", line 1496, in with_tempdir
DUPLICITY: . fn()
DUPLICITY: . File "/usr/bin/duplicity", line 1345, in main
DUPLICITY: . do_backup(action)
DUPLICITY: . File "/usr/bin/duplicity", line 1374, in do_backup
DUPLICITY: . sync_archive(decrypt)
DUPLICITY: . File "/usr/bin/duplicity", line 1104, in sync_archive
DUPLICITY: . remlist = globals.backend.list()
DUPLICITY: . File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 429, in list
DUPLICITY: . return map(tobytes, self._list())
DUPLICITY: . File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 297, in _list
DUPLICITY: . raise BackendException("No connection to backend")
DUPLICITY: . BackendException: No connection to backend
DUPLICITY: .

DUPLICITY: ERROR 23 BackendException
DUPLICITY: . BackendException: No connection to backend

1) The error is miss leading the connection to s3 appears fine; this is instead the absense of a bucket being present (additional checking required).
2) deja _used_ to auto create buckets; but no longer does so (regression?)
3) From the gui you may specify the folder but not the bucket compounding the issue.

ok spoke too soon now seeing:

DUPLICITY: WARNING 1
DUPLICITY: . Upload 's3+http://deja-dup-auto-XXXXXXXXXX/YYYYYYYYYY/duplicity-full.20140704T155414Z.vol1.difftar.gpg' failed (attempt #2, reason: error: [Errno 104] Connection reset by peer)

DUPLICITY: DEBUG 1
DUPLICITY: . Backtrace of previous error: Traceback (innermost last):
DUPLICITY: . File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 248, in put
DUPLICITY: . self.upload(source_path.name, key, headers)
DUPLICITY: . File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 365, in upload
DUPLICITY: . num_cb=(max(2, 8 * globals.volsize / (1024 * 1024)))
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/s3/key.py", line 1315, in set_contents_from_filename
DUPLICITY: . encrypt_key=encrypt_key)
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/s3/key.py", line 1246, in set_contents_from_file
DUPLICITY: . chunked_transfer=chunked_transfer, size=size)
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/s3/key.py", line 725, in send_file
DUPLICITY: . chunked_transfer=chunked_transfer, size=size)
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/s3/key.py", line 914, in _send_file_internal
DUPLICITY: . query_args=query_args
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 633, in make_request
DUPLICITY: . retry_handler=retry_handler
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/connection.py", line 1046, in make_request
DUPLICITY: . retry_handler=retry_handler)
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/connection.py", line 919, in _mexe
DUPLICITY: . request.body, request.headers)
DUPLICITY: . File "/usr/lib/python2.7/site-packages/boto/s3/key.py", line 815, in sender
DUPLICITY: . http_conn.send(chunk)
DUPLICITY: . File "/usr/lib64/python2.7/httplib.py", line 805, in send
DUPLICITY: . self.sock.sendall(data)
DUPLICITY: . File "/usr/lib64/python2.7/ssl.py", line 229, in sendall
DUPLICITY: . v = self.send(data[count:])
DUPLICITY: . File "/usr/lib64/python2.7/ssl.py", line 198, in send
DUPLICITY: . v = self._sslobj.write(data)
DUPLICITY: . error: [Errno 104] Connection reset by peer
DUPLICITY: .

due to the url s3+http whilst attempting SSL write?

I have trouble overriding the default bucket using dconf. I can write the correct value, but whenever I try to run a backup, deja-dup overwrites the bucket name in dconf with whatever it thinks is right. Then, not surprisingly, that ends up with an error message saying that the configured bucket does not exist.

Ideas?

Abhi Gupta (d-abhi) wrote :

I was having the same trouble with Duplicity, though I was using Dreamhost Dreamobjects as the backend for S3 service. I finally fixed it by manually creating the bucket via the Dreamhost control panel. It looks like, Duplicity/boto used to automatically create a bucket if one didn't exist, but that is no longer the case.

@tectonic-stl - #28 was a lifesaver. Client server didn't have ntp running for some reason and the clock had gone out of sync. After getting the time fixed, connections are working great again. Definitely make this your first troubleshooting step.

Tomaz Strukelj (cofkomail) wrote :

I solved this issue by adding "--s3-use-new-style --s3-european-buckets " arguments .
These arguments were allready used with most duplicity command runs , but not with all of them - I failed to make sure all runs have these arguments .

Mark Stosberg (markstos) on 2014-12-26
Changed in duplicity:
status: New → Confirmed
Mark Stosberg (markstos) wrote :

There are multiple potential causes for the root cause of this issue. The key problem is that duplicity or a dependency is swallowing an error returned by Amazon instead of passing it along to the user to decide what to do with.

I figured out an an approach to see what error is actually being returned by Amazon. I new the calls to Amazon were going over HTTPS, so I figured if I could see the raw HTTP request and response from Amazon, I would have a better idea of what was going on.

To that end, I installed the Charles Debug Proxy application, and then routed the applications traffic through it. I tried setting 'HTTP_PROXY' in the environment to get the traffic to go through the proxy, but that didn't work. By digging in the code, I found I could modify this file temporarily:

/usr/lib/python2.7/dist-packages/boto/connection.py

Around line 650 there are these lines (which I needed to use sudo to edit):

     self.proxy = proxy
     self.proxy_port = proxy_port

I changed these to:

     self.proxy = '127.0.1.1'
     self.proxy_port = '8888'.

In Charles Debug Proxy, I had to change an SSL preference under "Proxy: Proxy Settings: SSL". I had to enable SSL proxying and add a location corresponding the bucket. My location named looked like: "my-bucket-name.s3.amazonaws.com:443".

Then I started Charles and reran the backup command (I'm actually using deja-dup which calls duplicity) and output showed up in Charles. I could then see that the HTTPS response from Amazon boiled down to "InvalidAccessId". Basically, I had a typo in the AWS username I was using. I corrected that, and the initial request to Amazon started to succeed.

It's not clear to me whether `python-boto` isn't passing the error messages back to `duplicity` or `duplicity` is discarding them.

Either way, we need clear diagnostics returned so we can troubleshoot the various connection problems possible with Amazon!

Alternately, there are relatively small handful of possible errors returned by S3 and they are documented. Each could be explicitly translated by the one of the layers involved here.

jurov (rini17) wrote :

Guess my earlier comment got overlooked, I have already identified it as boto bug and proposed a fix: https://github.com/boto/boto/issues/2262

So the best course of action would be to discuss it there.

Stephen Cox (stephen-cox) wrote :

The Boto S3Connection provides two methods to connect to a S3 bucket; get_bucket() raises an exception if there is an issue, while lookup() returns None if there is an error, hiding the cause of problem.

Duplicity uses the lookup() method and then raises this generic exception (BackendException: No connection to backend) if None is returned. The problem is that there are all sorts of reasons why the connection to the bucket didn't succeed and this is hidden from the end user, making debugging S3 connection issues more troublesome than necessary.

A solution would be to use the get_bucket() method, wrap it in a try catch block and then, on error, raise a BackendException using the message from the previous exception.

For Duplicity 0.7 this would look like:
/duplicity/backends/_boto_single.py (revision 1041) in resetConnection() line 184
- self.bucket = self.conn.lookup(self.bucket_name)
+ try:
+ self.bucket = self.conn.get_bucket(self.bucket_name)
+ except Exception as err:
+ raise BackendException(err.message)

Changed in duplicity:
importance: Undecided → Medium
milestone: none → 0.7.01
status: Confirmed → Fix Committed
Changed in duplicity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python-boto (Ubuntu):
status: New → Confirmed
Svivi (svivi) wrote :

Hi,

I have this problem, too. From Deja Dup and even from Duplicity.
python-boto: 2.20.1-2ubuntu2
duplicity: 0.6.23-1ubuntu4.1
Ubuntu 14.04.1 LTS x86_64

This package has changed ownership in the Fedora Package Database. Reassigning to the new owner of this component.

Rainer Müller (raimue) wrote :

I had the same BackendException on Debian wheezy with duplicity 0.6.24-1~bpo70 and python-boto 2.25.0-1~bpo7. I solved this for me by forcing boto to use "Signature Version 4" for API requests. Export this variable into the shell environment before running duply:

export S3_USE_SIGV4="True"
duply ...

According to the AWS documentation [1], new regions introduced after January 2014 do not support older signature versions in API requests. In my case, the endpoint I use is Frankfurt, EU which was introduced after this date. This version of boto supports the new signatures, but does not seem to use them without being told to do so.

Also make sure you use the hostname for your region in the URL such as s3://s3-eu-central-1.amazonaws.com/<bucket>/. I hope this helps anyone stumbling across this bug report even if it is already fixed in duplicity >= 0.7.01 as stated above.

[1] http://docs.aws.amazon.com/AmazonS3/latest/API/sig-v4-authenticating-requests.html

According to the Launchpad bug this is fixed in 0.7.01, which is in rawhide but not F21 or F22. A backport or version update would be dandy.

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 20 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

@raimue: Thank you, that worked on CentOS 6, with duplicity v.0.6.22 and python-boto v.2.38.0. Thanks for posting that :)

amyciak (apmyciak) wrote :

We had a similar issue locally, with our backups on AWS S3. Turns out that current time for our local dev boxes had drifted out of sync with the actual time just enough for AWS to reject the requests.

Once we rebooted our box, everything worked fine. Obviously in a production environment, you can install and use something like ntp to keep your server(s) synched.

Changed in fedora:
importance: Unknown → Undecided
status: Unknown → Won't Fix
Download full text (12.9 KiB)

 Please upgrade to the current version of duplicity. This will assure that
any bugs fixed since your release are available and may fix your issue.

There are three options:

   - Release tarball Install - https://launchpad.net/duplicity/+download
   - Daily duplicity builds -
   https://launchpad.net/~duplicity-team/+archive/ubuntu/daily
   - Stable duplicity builds -
   https://launchpad.net/~duplicity-team/+archive/ubuntu/ppa

On Thu, Oct 26, 2017 at 11:51 PM, Bug Watch Updater <
<email address hidden>> wrote:

> Launchpad has imported 8 comments from the remote bug at
> https://bugzilla.redhat.com/show_bug.cgi?id=1108947.
>
> If you reply to an imported comment from within Launchpad, your comment
> will be sent to the remote bug automatically. Read more about
> Launchpad's inter-bugtracker facilities at
> https://help.launchpad.net/InterBugTracking.
>
> ------------------------------------------------------------------------
> On 2014-06-12T23:55:15+00:00 Eric wrote:
>
> Description of problem: When using Duplicity I receive the error
> "BackendException: No connection to backend" when attempting to backup
> to Amazon S3.
>
>
> Version-Release number of selected component (if applicable):
> 0.6.24-2.fc20
>
> How reproducible: Always
>
>
> Steps to Reproduce:
> 1. Attempt to backup using Deja-Dup to Amazon S3
> 2.
> 3.
>
> Actual results:
> BackendException: No connection to backend
>
> Expected results:
> Backup occurs.
>
> Additional info:
>
> Reply at: https://bugs.launchpad.net/duplicity/+bug/1278529/comments/28
>
> ------------------------------------------------------------------------
> On 2014-07-01T01:42:34+00:00 Dave wrote:
>
> On F19 I experienced the same behavior. I haven't tested exhaustively,
> but I believe I have it working by *both*:
>
> 1) creating ~/.boto per
> http://boto.readthedocs.org/en/latest/getting_started.html
>
> 2) manually creating the buckets I wanted to use for the backups
>
> Reply at: https://bugs.launchpad.net/duplicity/+bug/1278529/comments/29
>
> ------------------------------------------------------------------------
> On 2014-07-04T15:35:04+00:00 David wrote:
>
> Experiencing the same issue here
>
> F19 x64 deja-dup-26.0-1.fc19.x86_64
>
> Dave Allan's workaround is functional; to findout the correct bucket
> it's trying to use however run:
>
> DEJA_DUP_DEBUG=1 deja-dup --backup
>
> Pay attention to the
>
> DUPLICITY: . Args: /usr/bin/duplicity collection-status line,
>
> --s3-use-new-style s3+http://deja-dup-auto-XXXXXXXXXXXX/YOUR_FOLDER
>
>
> DUPLICITY: INFO 1
> DUPLICITY: . Backend error detail: Traceback (most recent call last):
> DUPLICITY: . File "/usr/bin/duplicity", line 1502, in <module>
> DUPLICITY: . with_tempdir(main)
> DUPLICITY: . File "/usr/bin/duplicity", line 1496, in with_tempdir
> DUPLICITY: . fn()
> DUPLICITY: . File "/usr/bin/duplicity", line 1345, in main
> DUPLICITY: . do_backup(action)
> DUPLICITY: . File "/usr/bin/duplicity", line 1374, in do_backup
> DUPLICITY: . sync_archive(decrypt)
> DUPLICITY: . File "/usr/bin/duplicity", line 1104, in sync_archive
> DUPLICITY: . remlist = globals.backend.list()
> DUPLICITY: . File "/usr/lib64/pytho...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.